using UnityEngine;

namespace Intrepid.Utilities.Updatable
{
    [DefaultExecutionOrder(GonConstants.ExecutionOrder.ALAP)]
    public class UpdatableManagerLate : MonoBehaviour
    {
        private void LateUpdate()
        {
            foreach (var updatable in UpdatableCollection.Instance.OrderedUpdatableList)
            {
                updatable.LateUpdateFromUpdatable();
            }

            UpdatableCollection.Instance.ListOrderManagement();
        }
    }
}